<?
require'sys/head.php';
require'sys/conf.php';
require'sys/ses.php';
require'otsev.php';
$login=$re0['login'];
?>
<style>
  .checkbox{
    width: 15px;
    height:15px;
    border: none;
    color:yellow;
    background-color:green;
    -moz-appearance:none;
    -webkit-appearance:none;
    -o-appearance:none;
    border: 0px inset ThreeDFace ! important;
    margin: 0 0 0 5px;
    padding: 5px 4px 3px 5px;
  }
</style>
<?
echo"($data)-[$strana]($login)<br/>";
?><div class="knews"><?
 if(!empty($_GET['make'])){$make = $_GET['make'];} else {$make= '';}
 switch($make){
default:
echo'<a href="profile.php?make=22&der='.$key.'">Игровые настройки</a><br/>';
echo'<a href="profile.php?make=3&der='.$key.'">Ночной мораторий</a><br/>';
echo'<a href="profile.php?make=4&der='.$key.'">Сменить пароль</a><br/>';
echo'<a href="profile.php?make=5&der='.$key.'">Сменить почтовый адрес</a><br/>';
echo'<a href="profile.php?make=6&der='.$key.'">Анкета</a><br/>';
break;
case 6:
if(empty($_POST[nam]) or empty($_POST[inf])){
echo'<FORM ACTION="profile.php?der='.$key.'&ch=1&make=6" METHOD="POST">';?>
Имя:<br/> <INPUT TYPE='text' NAME='nam'VALUE="<?=$re0[name];?>"><br/>
О себе:<br/> <INPUT TYPE='text' NAME='inf'VALUE="<?=$re0[info];?>"><br/>
<INPUT TYPE='submit'VALUE='Изменить'>
</FORM><br/><?
}else{
$ad1=$_POST['nam'];$ad2=$_POST['inf'];
mysql_query("UPDATE users SET name='$ad1',info='$ad2' WHERE login='$re0[login]'");
echo"Анкета изменена!<br/>";
}
break;
case 7:
if(empty($_GET[k])){
echo'<FORM ACTION="profile.php?der='.$key.'&make=7&k=2" METHOD="POST">';?>
<input name="ns1" type="checkbox" "value="1" class = "checkbox"/> Картинки включены<br/>
<input name="ns2" type="checkbox" "value="1" class = "checkbox"/> Ресурсы вверху<br/>
<input name="ns3" type="checkbox" "value="1" class = "checkbox"/> Таймер Цитадели<br/>
Сообщений на страницу в почте(5-50):<br/> <INPUT TYPE='text' NAME='mail'VALUE="5" SIZE="5"><br/>
Сообщений на страницу в чатах(5-50):<br/> <INPUT TYPE='text' NAME='chat'VALUE="5" SIZE="5"><br/>
<input type="submit"   value="Ок"></FORM><br/><?
echo'<a href="profile.php?der='.$key.'&make=7&k=1">Сброс настроек</a><br/>';
}
if($_GET[k]==1){
mysql_query("UPDATE users SET izo='1',n1='1',n2='1',n3='5',n4='25' WHERE login='$re0[login]'");
echo"Настройки сброшены!<br/>";
}
if($_GET[k]==2){
if($_POST[ns1]=='on'){$n1=0;}else{$n1=$re0[izo];}
if($_POST[ns2]=='on'){$n2=0;}else{$n2=$re0[n1];}
if($_POST[ns3]=='on'){$n3=0;}else{$n3=$re0[n2];}
if(empty($_POST[mail])){$_POST[mail]=5;}if(empty($_POST[chat])){$_POST[chat]=25;}
$m=zif($_POST[mail]);$c=zif($_POST[chat]);
if($m<5){$m=5;}if($c<5){$c=5;}if($m>50){$m=50;}if($c>50){$c=50;}
mysql_query("UPDATE users SET izo='$n1',n1='$n2',n2='$n3',n3='$m',n4='$c' WHERE login='$re0[login]'");
echo"Настройки изменены!<br/>";
}
if($_GET[k]==3){

}
if($_GET[k]==4){

}
if($_GET[k]==5){

}

break;
case 22:
echo'<a href="profile.php?der='.$key.'&make=7">Общие настройки</a><br/>';
echo'<a href="profile.php?der='.$key.'&make=2">Сменить тему оформления</a><br/>';
break;
case 2:
echo'<a href="profile.php?der='.$key.'&make=tem1">Зелёная</a><br/>';
echo'<a href="profile.php?der='.$key.'&make=tem2">Стальная</a><br/>';
echo'<a href="profile.php?der='.$key.'&make=tem3">Чёрная</a><br/>';
echo'<a href="profile.php?der='.$key.'&make=tem4">Красная</a><br/>';
echo'<a href="profile.php?der='.$key.'&make=tem5">Тёмно-зелёная(под Империю)</a><br/>';
break;
case tem1:
mysql_query("UPDATE users SET tema='2' WHERE login='$re0[login]'");
header("Location: profile.php?der=$key");
break;
case tem2:
mysql_query("UPDATE users SET tema='1' WHERE login='$re0[login]'");
header("Location: profile.php?der=$key");
break;
case tem3:
mysql_query("UPDATE users SET tema='3' WHERE login='$re0[login]'");
header("Location: profile.php?der=$key");
break;
case tem4:
mysql_query("UPDATE users SET tema='4' WHERE login='$re0[login]'");
header("Location: profile.php?der=$key");
break;
case tem5:
mysql_query("UPDATE users SET tema='5' WHERE login='$re0[login]'");
header("Location: profile.php?der=$key");
break;
case'5':
echo'<FORM ACTION="profile.php?der='.$key.'&make=5&s=1" METHOD="POST">';?>

Новый E-mail<br/> <INPUT TYPE="text" NAME="mail" VALUE="@"><br/>
<input type="submit"  value="сменить">
</FORM><br/><?
if($_GET['s']==1){
$mail=$_POST['mail'];
if (eregi("^[a-zA-Z0-9\._-]+@[a-zA-Z0-9\._-]+\.[a-zA-Z]{2,4}$",$mail)) {
qw("UPDATE users SET mail ='$mail' WHERE login='$login'");
echo"Вы сменили почтовый адрес!<br/>";
}else{echo"Ошибочный email<br/>";}
}else{}
break;

case'4':
echo'<FORM ACTION="profile.php?der='.$key.'&make=4&s=1" METHOD="POST">';?>

Новый пароль<br/> <INPUT TYPE="text" NAME="pass" VALUE=""><br/>
<input type="submit"  value="сменить">
</FORM><br/><?
if($_GET['s']==1){
$pass=md5($_POST['pass']);
qw("UPDATE users SET pass ='$pass' WHERE login='$login'");
echo"Вы сменили пароль!<br/>";
}else{}
break;
case 1:
if($_GET[p]!=2){
echo"$re0[kill]<br/>";
echo'<a href="profile.php?der='.$key.'&make=1&p=2">Создать страну</a><br/>';
}
if($_GET['p']==2){
echo'<FORM ACTION="profile.php?der='.$key.'&make=11" METHOD=POST>';?>
Название страны(буквы , знаки *-*!* и пробел):
<br/>
<input type="text" name="strana" maxlength="18"/><br/>
<INPUT TYPE='submit'VALUE='Регистрировать'></FORM><br/><?
}
break;
case 11:
if($re1[id]>0){header("Location: profile.php?der=$key");}else{
$strana =addslashes(trim($_POST['strana']));
$strana=preg_replace('/\s+/', ' ', $strana);
if (empty($strana)){echo"Не введена Страна<br/>";
}else{
if (strlen($_POST['strana']) < 4) { 
  echo("Страна меньше 4-х символов!<br/>"); 
} elseif(preg_match("#^([a-zA-Zа-яёА-ЯЁ0-9\-\!\ ])+$#ui", $_POST['strana'])) { 
$z44=mysql_fetch_array(qw("SELECT id FROM gos WHERE strana='$strana'"));
if($z44['id']>0)
{
echo "Такая страна существует!<br/>";}else{
$time=time();
$pus=rand(11111,99999);$time2=$time+1;
require'sys/civ.php';$er=rand(11111,99999);$strana=civa($strana);
if(eregi("({CENS})",$strana)){$strana="Лошара$er";}
qw("INSERT INTO gos (login,strana,datareg,datanal,datavor,dataver,datasab,datawpk) VALUES('$login','$strana','$time','$time','$time','$time','$time','$time'),
('K','Пустыня $strana $pus','$time2','$time2','$time2','$time2','$time2','$time2')");
$v1=rand(700,1300);$v2=rand(100,700);$v3=4000;
$v11=rand(700,1300);$v21=rand(100,700);$v31=4000;
qw("INSERT INTO gos2 (strana,gora,lesa,land) VALUES('$strana','$v1','$v2','$v3'),('Пустыня $strana $pus','$v11','$v21','$v31')");
qw("INSERT INTO domik (strana) VALUES('$strana')");
qw("INSERT INTO domik (strana,domik5) VALUES('Пустыня $strana $pus','1')");
/////////////////////////////////////////////////////////////////////
$mon = qw("SELECT login,strana FROM gos WHERE datareg<'$time' ORDER BY datareg DESC, datareg asc LIMIT 0,4");
while($arr = mysql_fetch_array($mon)){
$dat=time();
qw("INSERT INTO sosed (strana1,strana2) VALUES('$strana','$arr[strana]')");
if($arr[login]!='K'){
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$arr[strana]','@','$dat','0','0','Новое соседнее гос-во $strana')");
}}
$mon = qw("SELECT login,strana FROM gos WHERE datareg<'$time2' ORDER BY datareg DESC, datareg asc LIMIT 0,4");
while($arr = mysql_fetch_array($mon)){
$dat=time();
qw("INSERT INTO sosed (strana1,strana2) VALUES('Пустыня $strana $pus','$arr[strana]')");
if($arr[login]!='K'){
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$arr[strana]','@','$dat','0','0','Новое соседнее гос-во Пустыня $strana $pus')");
}}
mysql_close();

echo'<a href="game.php?der='.$key.'">Далее</a><br/>';
header("Location: game.php?der=$key");
}
} else { 
  echo("В Стране обнаружены запрещённые символы!<br/>"); 
}}}
break;
case 3:
$a1=time();
if($re0['marat1']>$a1){
$dn=$re0['marat1']-$a1;
$sec1=$dn;
$hou1=floor($sec1/3600);
$sec1-=$hou1*3600;
$min1=floor($sec1/60);
$sec1-=$min1*60;
echo"<u>До конца маратория</u>:<br/>";
if($hou1>0){ echo"<b>$hou1</b> час.<b>$min1</b> мин.<br/>";}else{echo"<b>$min1</b> мин.<b>$sec1</b> сек.<br/>";}

}else{
if($re0['marat2']>$a1){
$dn=$re0['marat2']-$a1;
$sec1=$dn;
$hou1=floor($sec1/3600);
$sec1-=$hou1*3600;
$min1=floor($sec1/60);
$sec1-=$min1*60;
echo"<u>До смены маратория</u>:<br/>";
if($hou1>0){ echo"<b>$hou1</b> час.<b>$min1</b> мин.<br/>";}else{echo"<b>$min1</b> мин.<b>$sec1</b> сек.<br/>";}
}else{
echo'<a href="profile.php?make=77&der='.$key.'">Включить</a> ночной мараторий на 8 часов<br/>';
}}
break;
case 77:
$a1=time();
if($re0['marat2']>$a1){
$dn=$re0['marat2']-$a1;
$sec1=$dn;
$hou1=floor($sec1/3600);
$sec1-=$hou1*3600;
$min1=floor($sec1/60);
$sec1-=$min1*60;
echo"<u>До смены маратория</u>:<br/>";
if($hou1>0){ echo"<b>$hou1</b> час.<b>$min1</b> мин.<br/>";}else{echo"<b>$min1</b> мин.<b>$sec1</b> сек.<br/>";}
}else{
$a1=time();$a2=$a1+(3600*8);$a3=$a1=$a1+(3600*24);
header("Location:profile.php?make=3&der=$key");
qw("UPDATE users SET marat1='$a2',marat2='$a3' WHERE login='$login'");
}
break;
}
?><div class="knews"><?
echo'<a href="game.php?der='.$key.'">В игру</a><br/>';
require'sys/foot.php';
?>